Ticket #34141

音声エンジンが英語の場合に「アルファベットをフォネティック読みする」の設定が反映されない

Open Date: 2014-08-06 11:03 Last Update: 2014-08-08 15:36

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: 言語依存リソース MileStone: 2014.3jp-public-beta (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

音声エンジンが英語の場合に日本語設定「アルファベットをフォネティック読みする」の設定が反映されない現象を確認しています。

修正を検討します。

環境:

  • NVDA 日本語版 2014.2jp
  • 音声エンジン・音声設定で英語対応のエンジン(例えば Windows 8.1 SAPI5 "Microsoft David Desktop - English (United Status)" )を選択
  • 一般設定の「言語」を英語にしていない場合(日本語、または Windows 既定の言語の場合)は、英語用の音声エンジンを選んで、さらに音声設定「サポートされている場合自動的に言語を切り替える」を有効にする必要がある
  • 一般設定の「言語」を英語にしている場合は、選択した音声エンジンの Voice Settings で "Automatic language switching (when supported)" はチェックなしでよい

手順と現象:

  • メモ帳に半角 "abc" 全角 "abc" を入力
  • 日本語設定「アルファベットをフォネティック読みする」チェックなし
  • 矢印キーでキャレットを移動「アルファ、ブラボー、チャーリー、エー、ビー、スィー」
  • 日本語設定「アルファベットをフォネティック読みする」チェックあり
  • 矢印キーでキャレットを移動「アルファ、ブラボー、チャーリー、エー、ビー、スィー」

期待される動作:

  • 日本語設定「アルファベットをフォネティック読みする」チェックなし
  • 矢印キーでキャレットを移動「エー、ビー、スィー、エー、ビー、スィー」
  • 日本語設定「アルファベットをフォネティック読みする」チェックあり
  • 矢印キーでキャレットを移動「アルファ、ブラボー、チャーリー、アルファ、ブラボー、チャーリー」

Attachment File List

No attachments

Ticket History (3/5 Histories)

2014-08-06 11:03 Updated by: nishimoto
  • New Ticket "音声エンジンが英語の場合に「アルファベットをフォネティック読みする」の設定が反映されない" created
2014-08-06 11:34 Updated by: nishimoto
  • Details Updated
Comment

環境の説明を訂正します:

  • 一般設定の「言語」を英語にしていない場合(日本語、または Windows 既定の言語の場合)は、英語用の音声エンジンを選んで、さらに音声設定「サポートされている場合自動的に言語を切り替える」を有効にする必要がある
  • 一般設定の「言語」を英語にしている場合は、選択した音声エンジンの Voice Settings で "Automatic language switching (when supported)" はチェックなしでよい

既定の言語が非英語、英語の音声エンジン、自動言語切り替えが無効、という組み合わせでは、アルファベットの文字説明は無音になります。 これはカタカナ表記の文字説明が英語エンジンに送られているためと思います。

2014-08-06 11:39 Updated by: nishimoto
Comment

下記のコミットで修正しました:

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   b3ccb2e..a9d62ed  jpbeta -> jpbeta
2014-08-07 17:31 Updated by: nishimoto
  • Ticket Close date is changed to 2014-08-07 17:31
  • Status Update from Open to Closed
2014-08-08 15:36 Updated by: nishimoto
Comment

本家の文字説明の実装についての情報:

http://community.nvda-project.org/ticket/635#comment:22

The language for character descriptions is determined from the speech synthesiser or the NVDA user interface language if the synth doesn't report a language or auto language switching is disabled.

文字説明における言語は、音声合成エンジンの言語。

ただし、音声合成エンジンが対応している言語を通知できない場合、または言語の自動切り替えが無効の場合は、NVDA のユーザーインタフェースの言語。

Edit

Please login to add comment to this ticket » Login